import request from '@/utils/request'


export function getVerify() {
  return request({
    url: '/sys/getVerify',
    method: 'get',
    responseType: 'blob'
  })
}


export function login(data) {
  return request({
    url: 'sys/user/login',
    method: 'post',
    data
  })
}

export function register(data) {
  return request({
    url: '/sys/user/register',
    method: 'post',
    data
  })
}

// 修改用户信息
export function editUserInfo(data) {
  return request({
    url: '/sys/user/info',
    method: 'put',
    data
  })
}

// 修改密码
export function editUserPwd(data) {
  return request({
    url: '/sys/user/pwd',
    method: 'put',
    data
  })
}

// 注册时验证账号是否唯一
export function checkUserName(data) {
  return request({
    url: '/sys/user/checkAccount',
    method: 'post',
    data
  })
}

// 注册时验证手机号是否唯一
export function checkPhone(data) {
  return request({
    url: '/sys/user/checkPhone',
    method: 'post',
    data
  })
}


export function updateUserInfo(data) {
  return request({
    url: '/sys/user',
    method: 'post',
    data
  })
}


export function updatePassword(data) {
  return request({
    url: '/auth/user/modifyPass',
    method: 'put',
    data
  })
}

export function logout() {
  return request({
    url: '/sys/user/logout',
    method: 'get'
  })
}

// 收藏、取消收藏
export function toggleCollect(data) {
  return request({
    url: '/bizCollection/update',
    method: 'post',
    data
  })
}

// 点赞、取消点赞
export function toggleLike(data) {
  return request({
    url: '/bizLove/update',
    method: 'post',
    data
  })
}

// 查看点赞列表
export function getLikeList(data) {
  return request({
    url: '/bizCollection/listByPage',
    method: 'post',
    data
  })
}


// 查看收藏列表
export function getCollectionList(data) {
  return request({
    url: '/bizLove/listByPage',
    method: 'post',
    data
  })
}

// 查看浏览数据
export function getViewList(data) {
  return request({
    url: '/bizBrowseHistory/listByPage',
    method: 'post',
    data
  })
}

